﻿Imports System.Data
Imports System.Data.SqlClient
Imports ADG.JQueryExtenders.Impromptu
Partial Class Ricettivita
    Inherits System.Web.UI.Page
    Function CreateDataSource() As ICollection
        Dim dt As New DataTable()
        Dim dr As DataRow
        dt.Columns.Add("id")
        dt.Columns.Add("pwd")
        Try
            Dim conString = ConfigurationManager.ConnectionStrings("DB_GESTIONE_ALBERGHI")
            Dim strConnString As String = conString.ConnectionString
            Using db As New SqlConnection(strConnString)
                db.Open()
                Using sqlcmd As New SqlCommand("Get_credenziali_regione", db)
                    sqlcmd.CommandType = CommandType.StoredProcedure
                    sqlcmd.Parameters.AddWithValue("@utente", SqlDbType.VarChar).Value = Albergo.UtenteNome
                    Using sqldr As SqlDataReader = sqlcmd.ExecuteReader
                        While sqldr.Read
                            dr = dt.NewRow()
                            dr(0) = sqldr.GetSqlValue(0).Value
                            dr(1) = sqldr.GetSqlValue(1).Value
                            dt.Rows.Add(dr)
                        End While
                    End Using
                End Using
            End Using
            Dim dv As New DataView(dt)
            Return dv
        Catch ex As SqlException
            Page.RegisterStartupScript("ScriptDescription", "<script type=""text/javascript"">alert('" & ex.Message & "');</script>")
        Catch ex As Exception
            Page.RegisterStartupScript("ScriptDescription", "<script type=""text/javascript"">alert('" & ex.Message & "');</script>")
        End Try
    End Function 'CreateDataSource
    Protected Sub btnSubmit_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSubmit.Click
        If Me.TextBox1.Text = "" Then
            Me.TextBox1.Focus()
        End If
    End Sub

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim prompt As New ImpromptuPrompt()
        If Me.TextBox1.Text = String.Empty Then
            prompt = New ImpromptuPrompt
            prompt.Options.Buttons.Add("Chiudi", "ok")
            prompt.Options.Top = 350
            prompt.Options.PromptSpeed = "slow"
            prompt.Options.Show = "show"
            'prompt.Message = "Attenzione: " & Chr(10) & "Campo Id struttura vuoto"
            prompt.Message = "<h3>Attenzione</h3>  <p>Utente non trovato o password errata</p>  <img src='Icon/sign-alert.png'  alt='help' class='helpImg' </>"
            ImpromptuHelper.ShowPrompt(prompt)
            Return
        End If
        If Me.TextBox2.Text = String.Empty Then
            prompt = New ImpromptuPrompt
            prompt.Options.Buttons.Add("Chiudi", "ok")
            prompt.Options.Top = 350
            prompt.Options.PromptSpeed = "slow"
            prompt.Options.Show = "show"
            prompt.Message = "Attenzione: " & Chr(10) & "Campo password struttura vuoto"
            ImpromptuHelper.ShowPrompt(prompt)
            Return
        End If
        Try
            Dim conString = ConfigurationManager.ConnectionStrings("DB_GESTIONE_ALBERGHI")
            Dim strConnString As String = conString.ConnectionString
            Using db As New SqlConnection(strConnString)
                db.Open()
                Using sqlcmd As New SqlCommand("credenziali_regione", db)
                    sqlcmd.CommandType = CommandType.StoredProcedure
                    sqlcmd.Parameters.AddWithValue("@utente", SqlDbType.VarChar).Value = Albergo.UtenteNome
                    sqlcmd.Parameters.AddWithValue("@idregione", SqlDbType.VarChar).Value = Me.TextBox1.Text
                    sqlcmd.Parameters.AddWithValue("@pwdregione", SqlDbType.VarChar).Value = Me.TextBox2.Text
                    sqlcmd.ExecuteNonQuery()
                End Using
            End Using
        Catch ex As SqlException
            prompt = New ImpromptuPrompt
            prompt.Options.Buttons.Add("Chiudi", "ok")
            prompt.Options.Top = 350
            prompt.Options.PromptSpeed = "slow"
            prompt.Options.Show = "show"
            prompt.Message = "Attenzione: " & Chr(10) & ex.Message
            ImpromptuHelper.ShowPrompt(prompt)
        Catch ex As Exception
            prompt = New ImpromptuPrompt
            prompt.Options.Buttons.Add("Chiudi", "ok")
            prompt.Options.Top = 350
            prompt.Options.PromptSpeed = "slow"
            prompt.Options.Show = "show"
            prompt.Message = "Attenzione: " & Chr(10) & ex.Message
            ImpromptuHelper.ShowPrompt(prompt)
        End Try
        REM pulisci campi
        Me.TextBox1.Text = String.Empty
        Me.TextBox2.Text = String.Empty
        REM--------------
        Gd_cred.DataSource = CreateDataSource()
        Gd_cred.DataBind()
    End Sub
    Private Albergo As iAlbergo
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            Albergo = CType(Session("Albergo"), iAlbergo)
            Gd_cred.DataSource = CreateDataSource()
            Gd_cred.DataBind()
        End If
    End Sub

    Protected Sub Gd_cred_RowCommand(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewCommandEventArgs) Handles Gd_cred.RowCommand
        If (e.CommandName = "Edit") Then
            Dim c As Control = CType(e.CommandSource, Control)
            Dim r As GridViewRow = CType(c.NamingContainer, GridViewRow)
            TextBox1.Text = r.Cells(1).Text
            TextBox2.Text = r.Cells(2).Text
        End If
    End Sub

    Protected Sub Gd_cred_RowEditing(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewEditEventArgs) Handles Gd_cred.RowEditing

    End Sub
End Class
